Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt

Use this file to discover all available pages before exploring further.

Obtain a Token

The Cariqa Connect API uses JWT-based Bearer tokens for authentication. How to obtain it:
  1. Contact our team for manual onboarding and provide the required information
  2. We will send you:
    1. API tokens for development and production environments
    2. Stripe publishable key required for client-side payment method collection
  3. We will also verify your domains for Apple Pay and Google Pay
  4. Go ahead and make your first API request
You’ll need to provide:
  • Company details and use case
  • Technical contact information
  • Domain(s) for Apple Pay/Google Pay verification

First API Request

Once you get your API Token, store it securely and try your first API call
curl -X GET "https://connect.cariqa.com/api/v1/stations/around/?latitude=49.630383&longitude=8.368902&distance=10" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json"

Stripe Integration

The Stripe SDK must be integrated into your frontend application to allow users to securely add their favourite payment methods. This ensures compliance with PSD2/SCA requirements: payment details are handled and stored by Stripe, not Cariqa.
You must integrate Stripe SDK on your frontend: this is a hard requirement for PSD2 compliance.

Ready

You are set! Explore the API Reference or follow our Guides and start integrating with Cariqa Connect API. Our support is always at your disposal in case of troubles (we recommend to check the Toubleshooting section first).